com.google.gwt.user.client.ui

## Class Frame

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Frame

All Implemented Interfaces:
  HasLoadHandlers, HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsWidget

Direct Known Subclasses:
  NamedFrame

    public class Frame
    extends Widget
    implements HasLoadHandlers

A widget that wraps an IFRAME element, which can contain an arbitrary web site.

Note that if you are using `History`, any browser history items generated by the Frame will interleave with your application's history.

### CSS Style Rules

- .gwt-Frame { }

### Example

>     public class FrameExample implements EntryPoint {

>       public void onModuleLoad() {
>         // Make a new frame, and point it at Google.
>         Frame frame = new Frame("http://www.google.com/");

>         // Add it to the root panel.
>         RootPanel.get().add(frame);
>       }
>     }

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Field Summary

Fields
`(package private) static java.lang.String` `DEFAULT_STYLENAME`

### Fields inherited from class com.google.gwt.user.client.ui.Widget

`eventsToSink`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

### Constructor Summary

Constructors
`` `Frame()` Creates an empty frame.
`protected` `Frame(Element element)` This constructor may be used by subclasses to explicitly use an existing element.
`` `Frame(java.lang.String url)` Creates a frame that displays the resource at the specified URL.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`HandlerRegistration` `addLoadHandler(LoadHandler handler)` Adds a `LoadEvent` load handler which will be called when the frame loads.
`java.lang.String` `getUrl()` Gets the URL of the frame's resource.
`void` `setUrl(SafeUri url)` Sets the URL of the resource to be displayed within the frame.
`void` `setUrl(java.lang.String url)` Sets the URL of the resource to be displayed within the frame.
`static Frame` `wrap(Element element)` Creates a Frame widget that wraps an existing <frame> element.

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Field Detail

#### DEFAULT_STYLENAME

    static final java.lang.String DEFAULT_STYLENAME

See Also:
  Constant Field Values

### Constructor Detail

#### Frame

    public Frame()

Creates an empty frame.

#### Frame

    public Frame(java.lang.String url)

Creates a frame that displays the resource at the specified URL.

Parameters:
  `url` - the URL of the resource to be displayed

#### Frame

    protected Frame(Element element)

This constructor may be used by subclasses to explicitly use an existing element. This element must be an <iframe> element.

Parameters:
  `element` - the element to be used

### Method Detail

#### wrap

    public static Frame wrap(Element element)

Creates a Frame widget that wraps an existing <frame> element. This element must already be attached to the document. If the element is removed from the document, you must call `RootPanel.detachNow(Widget)`.

Parameters:
  `element` - the element to be wrapped

#### addLoadHandler

    public HandlerRegistration addLoadHandler(LoadHandler handler)

Adds a `LoadEvent` load handler which will be called when the frame loads.

Specified by:
  `addLoadHandler` in interface `HasLoadHandlers`
Parameters:
  `handler` - the load handler
Returns:
  `HandlerRegistration` that can be used to remove this handler

#### getUrl

    public java.lang.String getUrl()

Gets the URL of the frame's resource.

Returns:
  the frame's URL

#### setUrl

    public void setUrl(java.lang.String url)

Sets the URL of the resource to be displayed within the frame.

Parameters:
  `url` - the frame's new URL

#### setUrl

    public void setUrl(SafeUri url)

Sets the URL of the resource to be displayed within the frame.

Parameters:
  `url` - the frame's new URL